POST /blueprintactions

Create a new blueprint action

Create a new blueprint action
KeyTypeExampleDescription
authorizationrequiredstring
"Bearer access_token"
Access token
KeyTypeExampleDescription
blueprint_guidrequiredstring
'c45797061f2c15a75361042244385e96419d230ab804d7f...'
Parent blueprint GUID
configurationoptionalobject
{}
Action-specific configuration
descriptionoptionalstring
"Used by the nightly order sync."
Action description
titleoptionalstring
"example"
Action title
typerequiredstring
"totp"
Action type identifier
{}
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
StatusError CodeDescription
401INVALID_ACCESS_TOKENAuthentication required or invalid token
PermissionDescription
Bearer tokenAccess token required via Authorization header, x-authtoken, x-token, query param, or cookie
blueprintactions_createRequired scope: blueprintactions_create

Back to Blueprint Actions Return to the Blueprint Actions category to view other endpoints All API Categories Browse all available API categories